Bug 106639 - Patch required for x86_64 compile
Patch required for x86_64 compile
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-08 20:39 EDT by Justin M. Forbes
Modified: 2015-01-04 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-04 23:38:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin M. Forbes 2003-10-08 20:39:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The following patch is the first of what will probably be many to get the Fedora
Test 2 kernel to compile for AMD64.  The patch is against linux-2.4.22-1.2087.nptl.

--- linux-2.4.22-1.2087.nptl/arch/x86_64/tools/offset.c 2002-11-28
18:53:12.000000000 -0500
+++ linux-2.4.22-1.2087.nptl.fedora64/arch/x86_64/tools/offset.c       
2003-10-08 19:08:00.000000000 -0400
@@ -32,7 +32,7 @@
        ENTRY(need_resched);
        ENTRY(exec_domain);
        ENTRY(ptrace);
-       ENTRY(processor);
+       ENTRY(cpu);
        ENTRY(need_resched);
        ENTRY(thread);
 #undef ENTRY


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Attempt to compile kernel linux-2.4.22-1.2087.nptl using an x86_64 .config
2. make dep fails
3.
    

Actual Results:  make[1]: Entering directory
`/usr/src/linux-2.4.22-1.2087.nptl/arch/x86_64/tools'
make[1]: Nothing to be done for `all'.
make[1]: Leaving directory `/usr/src/linux-2.4.22-1.2087.nptl/arch/x86_64/tools'
make[1]: Entering directory `/usr/src/linux-2.4.22-1.2087.nptl/arch/x86_64/boot'
make[1]: Nothing to be done for `dep'.
make[1]: Leaving directory `/usr/src/linux-2.4.22-1.2087.nptl/arch/x86_64/boot'
rm -f .depend .hdepend
make _sfdep_arch/x86_64/tools _sfdep_kernel _sfdep_drivers _sfdep_mm _sfdep_fs
_sfdep_net _sfdep_ipc _sfdep_lib _sfdep_crypto _sfdep_arch/x86_64/kernel
_sfdep_arch/x86_64/mm _sfdep_arch/x86_64/lib _sfdep_arch/x86_64/ia32
_sfdep_arch/x86_64/oprofile _FASTDEP_ALL_SUB_DIRS="arch/x86_64/tools kernel
drivers mm fs net ipc lib crypto arch/x86_64/kernel arch/x86_64/mm
arch/x86_64/lib arch/x86_64/ia32 arch/x86_64/oprofile"
make[1]: Entering directory `/usr/src/linux-2.4.22-1.2087.nptl'
make -C arch/x86_64/tools fastdep
make[2]: Entering directory `/usr/src/linux-2.4.22-1.2087.nptl/arch/x86_64/tools'
gcc32 -D__KERNEL__ -I/usr/src/linux-2.4.22-1.2087.nptl/include -Wall
-Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common
-fomit-frame-pointer -mno-red-zone -mcmodel=kernel -pipe -fno-reorder-blocks
-finline-limit=2000 -fno-strength-reduce -Wno-sign-compare
-fno-asynchronous-unwind-tables -S -o offset.tmp offset.c
offset.c: In function `main':
offset.c:35: structure has no member named `processor'
make[2]: *** [offset.h] Error 1
make[2]: Leaving directory `/usr/src/linux-2.4.22-1.2087.nptl/arch/x86_64/tools'
make[1]: *** [_sfdep_arch/x86_64/tools] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.22-1.2087.nptl'
make: *** [dep-files] Error 2


Expected Results:  make dep succeeds

Additional info:

Note You need to log in before you can comment on or make changes to this bug.